Commerce
Post v1commerceorders shippingconfirm
POST
/
v1
/
commerce
/
orders
/
{orderID}
/
shipping
/
confirm
cURL
curl --request POST \
--url https://api.wazapin.com/v1/commerce/orders/{orderID}/shipping/confirmconst options = {method: 'POST'};
fetch('https://api.wazapin.com/v1/commerce/orders/{orderID}/shipping/confirm', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/commerce/orders/{orderID}/shipping/confirm"
response = requests.post(url)
print(response.text){
"customer_phone": "<string>",
"delivery_fee_amount": 123,
"discount_amount": 123,
"id": "<string>",
"order_no": "<string>",
"status": "<string>",
"subtotal_amount": 123,
"total_amount": 123,
"checkout_uploads": [
"<string>"
],
"contact_id": "<string>",
"created_at": "<string>",
"customer_email": "<string>",
"customer_name": "<string>",
"delivery_date": "<string>",
"delivery_method": "<string>",
"delivery_method_id": "<string>",
"delivery_timeslot": "<string>",
"draft_order_id": "<string>",
"fulfillment_carrier": "<string>",
"fulfillment_notes": "<string>",
"notes": "<string>",
"organization_id": "<string>",
"payment_method": "<string>",
"referral_code": "<string>",
"shipping_address": {
"address": "<string>",
"city": "<string>",
"district": "<string>",
"province": "<string>",
"area_id": "<string>",
"area_name": "<string>"
},
"shipping_metadata": {
"booking": {
"booking_mode": "<string>",
"booking_schedule_source": "<string>",
"booking_schedule_updated_at": "<string>",
"checked_in_at": "<string>",
"checkin_token_hash": "<string>",
"checkout_token": "<string>",
"google_calendar_event_id": "<string>",
"google_calendar_event_url": "<string>",
"google_calendar_last_synced_at": "<string>",
"google_calendar_sync_error": "<string>",
"google_calendar_sync_status": "<string>",
"google_meet_url": "<string>",
"has_scheduled_booking": true,
"staff_id": "<string>",
"staff_name": "<string>",
"video_conference_override": "<string>",
"zoom_meeting_url": "<string>"
},
"live_shipping": {
"biteship_order_id": "<string>",
"biteship_price_idr": 123,
"confirm_error": "<string>",
"confirm_status": "<string>",
"courier_code": "<string>",
"courier_service_code": "<string>",
"destination_area_id": "<string>",
"draft_order_id": "<string>",
"last_webhook_event": "<string>",
"last_webhook_status": "<string>"
},
"payment": {
"checkout_url": "<string>",
"order_no": "<string>",
"organization_id": "<string>",
"payment_method": "<string>",
"payment_session_id": "<string>",
"provider": "<string>",
"reference_id": "<string>",
"store_name": "<string>",
"store_slug": "<string>"
},
"subscription": {
"prepaid_deliveries_remaining": 123,
"prepaid_deliveries_total": 123
}
},
"source_reference": "<string>",
"tracking_number": "<string>",
"tracking_url": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}Path Parameters
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
cURL
curl --request POST \
--url https://api.wazapin.com/v1/commerce/orders/{orderID}/shipping/confirmconst options = {method: 'POST'};
fetch('https://api.wazapin.com/v1/commerce/orders/{orderID}/shipping/confirm', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/commerce/orders/{orderID}/shipping/confirm"
response = requests.post(url)
print(response.text){
"customer_phone": "<string>",
"delivery_fee_amount": 123,
"discount_amount": 123,
"id": "<string>",
"order_no": "<string>",
"status": "<string>",
"subtotal_amount": 123,
"total_amount": 123,
"checkout_uploads": [
"<string>"
],
"contact_id": "<string>",
"created_at": "<string>",
"customer_email": "<string>",
"customer_name": "<string>",
"delivery_date": "<string>",
"delivery_method": "<string>",
"delivery_method_id": "<string>",
"delivery_timeslot": "<string>",
"draft_order_id": "<string>",
"fulfillment_carrier": "<string>",
"fulfillment_notes": "<string>",
"notes": "<string>",
"organization_id": "<string>",
"payment_method": "<string>",
"referral_code": "<string>",
"shipping_address": {
"address": "<string>",
"city": "<string>",
"district": "<string>",
"province": "<string>",
"area_id": "<string>",
"area_name": "<string>"
},
"shipping_metadata": {
"booking": {
"booking_mode": "<string>",
"booking_schedule_source": "<string>",
"booking_schedule_updated_at": "<string>",
"checked_in_at": "<string>",
"checkin_token_hash": "<string>",
"checkout_token": "<string>",
"google_calendar_event_id": "<string>",
"google_calendar_event_url": "<string>",
"google_calendar_last_synced_at": "<string>",
"google_calendar_sync_error": "<string>",
"google_calendar_sync_status": "<string>",
"google_meet_url": "<string>",
"has_scheduled_booking": true,
"staff_id": "<string>",
"staff_name": "<string>",
"video_conference_override": "<string>",
"zoom_meeting_url": "<string>"
},
"live_shipping": {
"biteship_order_id": "<string>",
"biteship_price_idr": 123,
"confirm_error": "<string>",
"confirm_status": "<string>",
"courier_code": "<string>",
"courier_service_code": "<string>",
"destination_area_id": "<string>",
"draft_order_id": "<string>",
"last_webhook_event": "<string>",
"last_webhook_status": "<string>"
},
"payment": {
"checkout_url": "<string>",
"order_no": "<string>",
"organization_id": "<string>",
"payment_method": "<string>",
"payment_session_id": "<string>",
"provider": "<string>",
"reference_id": "<string>",
"store_name": "<string>",
"store_slug": "<string>"
},
"subscription": {
"prepaid_deliveries_remaining": 123,
"prepaid_deliveries_total": 123
}
},
"source_reference": "<string>",
"tracking_number": "<string>",
"tracking_url": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}